# Planning Ticket

## Description

Metrics relating to tickets imported from a planning tool (e.g. Jira).

## Measures

| Name                                        | Title                        | Description                                                                                                |
| ------------------------------------------- | ---------------------------- | ---------------------------------------------------------------------------------------------------------- |
| `JiraIssueDetail.totalLeadTime`             | Total Lead Time              | The total time from ticket opening until it is closed/merged, in hours.                                    |
| `JiraIssueDetail.avgLeadTime`               | Avg Lead Time                | The average time from opening a ticket until it is closed/merged, in hours.                                |
| `JiraIssueDetail.medianLeadTime`            | Median Lead Time             | The median time from opening a ticket until it is closed/merged, in hours.                                 |
| `JiraIssueDetail.p90LeadTime`               | P90 Lead Time                | The 90th percentile time from opening a ticket until it is closed/merged, in hours.                        |
| `JiraIssueDetail.totalBacklogAge`           | Total Backlog Age            | The total time from ticket creation to an assignment to a contributor, in hours.                           |
| `JiraIssueDetail.avgBacklogAge`             | Avg Backlog Age              | The average time from ticket creation to an assignment to a contributor, in hours.                         |
| `JiraIssueDetail.medianBacklogAge`          | Median Backlog Age           | The median time from ticket creation to an assignment to a contributor, in hours.                          |
| `JiraIssueDetail.p90BacklogAge`             | P90 Backlog Age              | The 90th time from ticket creation to an assignment to a contributor, in hours.                            |
| `JiraIssueDetail.totalPickupTime`           | Total Pickup Time            | The total time from being assigned until its marked as in progress, in hours.                              |
| `JiraIssueDetail.avgPickupTime`             | Avg Pickup Time              | The average time from being assigned until iits marked as in progress, in hours                            |
| `JiraIssueDetail.medianPickupTime`          | Median Pickup Time           | The median time from being assigned until its marked in as progress, in hours                              |
| `JiraIssueDetail.p90PickupTime`             | P90 Pickup Time              | The 90th percentile time from being assigned until its marked as in progress, in hours.                    |
| `JiraIssueDetail.totalResolutionTime`       | Total Resolution Time        | The total time from being in progress until being marked as resolved/done for this ticket, in hours.       |
| `JiraIssueDetail.avgResolutionTime`         | Avg Resolution Time          | The average time from being in progress until being marked as resolved/done for this ticket, in hours.     |
| `JiraIssueDetail.medianResolutionTime`      | Median Resolution Time       | The median time from being in progress until being marked as resolved/done for this ticket, in hours.      |
| `JiraIssueDetail.p90ResolutionTime`         | P90 Resolution Time          | The 90th percentile time from being in progress until being marked as resolved/done this ticket, in hours. |
| `JiraIssueDetail.minCreatedAt`              | Min Created at               | The smallest UNIX timestamp when an issue was created.                                                     |
| `JiraIssueDetail.minAssignedAt`             | Min Assigned at              | The smallest UNIX timestamp when an issue was assigned a contributor.                                      |
| `JiraIssueDetail.minInProgressAt`           | Min in Progress at           | The smallest UNIX timestamp when an issue was marked as in progress.                                       |
| `JiraIssueDetail.minResolvedAt`             | Min Resolved at              | The smallest timestamp when an issue was resolved.                                                         |
| `JiraIssueDetail.totalStoryPoints`          | Total Story Points           | The total story points assigned.                                                                           |
| `JiraIssueDetail.totalTimeOriginalEstimate` | Total Time Original Estimate | The total original time estimate.                                                                          |
| `JiraIssueDetail.totalTimeEstimate`         | Total Time Estimate          | The total estimated time.                                                                                  |
| `JiraIssueDetail.totalTimeSpent`            | Total Time Spent             | The total time spent on issues.                                                                            |
| `JiraIssueDetail.count`                     | Count                        | The number of distinct issues.                                                                             |

## Dimensions

| Name                                      | Title                           | Description                                                                                    |
| ----------------------------------------- | ------------------------------- | ---------------------------------------------------------------------------------------------- |
| `JiraIssueDetail.timeInterval`            | Last Updated Time               | The time of the last update for the issue, obtained from the planning tool.                    |
| `JiraIssueDetail.timeIntervalCreatedTime` | Creation Time                   | Timestamp when the issue was created.                                                          |
| `JiraIssueDetail.id`                      | Id                              |                                                                                                |
| `JiraIssueDetail.key`                     | Key                             | Unique ID to identify the issue, assigned by the planning tool.                                |
| `JiraIssueDetail.type`                    | Type                            | Type of the issue.                                                                             |
| `JiraIssueDetail.status`                  | Status                          | Status of the issue, as defined by the planning tool.                                          |
| `JiraIssueDetail.statusCategory`          | Status Category                 | A standardised representation of the issue status, one of To Do, In Progress and Done.         |
| `JiraIssueDetail.resolution`              | Resolution                      | Resolution of the issue.                                                                       |
| `JiraIssueDetail.priority`                | Priority                        | Priority level of the issue.                                                                   |
| `JiraIssueDetail.title`                   | Title                           | Title or summary of the issue.                                                                 |
| `JiraIssueDetail.storyPoints`             | Story Points                    | Number of story points assigned to the issue.                                                  |
| `JiraIssueDetail.leadTime`                | Lead Time                       | The lifecycle time from creation to being closed for completed tickets, in hours.              |
| `JiraIssueDetail.backlogAge`              | Backlog Age                     | The time from ticket creation to an assignment to a contributor, in hours.                     |
| `JiraIssueDetail.pickupTime`              | Pickup Time                     | The time from being assigned until its status changes to an in-progress stage, in hours.       |
| `JiraIssueDetail.resolutionTime`          | Resolution Time                 | The time from being in progress until being marked as resolved/done for this ticket, in hours. |
| `JiraIssueDetail.createdAt`               | Created At (Unix Timestamp)     | The UNIX timestamp when the issue was created.                                                 |
| `JiraIssueDetail.assignedAt`              | Assigned At (Unix Timestamp)    | The UNIX timestamp when the issue was assigned.                                                |
| `JiraIssueDetail.inProgressAt`            | In Progress At (Unix Timestamp) | The UNIX timestamp when the issue was marked as in progress.                                   |
| `JiraIssueDetail.resolvedAt`              | Resolved At (Unix Timestamp)    | The UNIX timestamp when the issue was resolved.                                                |
| `JiraIssueDetail.timeOriginalEstimate`    | Time Original Estimate          | Original time estimate for the issue, in seconds.                                              |
| `JiraIssueDetail.timeEstimate`            | Time Estimate                   | Current remaining time estimate for the issue, in seconds.                                     |
| `JiraIssueDetail.timeSpent`               | Time Spent                      | Actual time spent working on the issue, in seconds.                                            |

## Connected Cubes

All fields belonging to the following cubes are also reachable from JiraIssueDetail:

* [Planning Ticket Component](/advanced/datastudio-data-model/models/jiracomponent.md)
* [Planning Ticket Custom Field](/advanced/datastudio-data-model/models/jiracustomfield.md)
* [Epic](/advanced/datastudio-data-model/models/jiraepic.md)
* [Planning Ticket Hierarchy Issues](/advanced/datastudio-data-model/models/jirahierarchyissues.md)
* [Planning Ticket Hierarchy Issue Link](/advanced/datastudio-data-model/models/jiraissuehierarchylink.md)
* [Planning Ticket](/advanced/datastudio-data-model/models/jiraissuedetail.md)
* [Planning Ticket Event](/advanced/datastudio-data-model/models/jiraissueevent.md)
* [Planning Ticket Label](/advanced/datastudio-data-model/models/jiralabel.md)
* [Planning Sprint](/advanced/datastudio-data-model/models/jirasprint.md)
* [Planning Ticket State Durations](/advanced/datastudio-data-model/models/jirastatedurations.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Pull Request](/advanced/datastudio-data-model/models/pullrequestdetail.md)
* [Pull Request Jira Issue](/advanced/datastudio-data-model/models/pullrequestjiraissue.md)
* [Pull Request Event](/advanced/datastudio-data-model/models/pullrequestevent.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/jiraissuedetail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
